Package org.drinkless.tdlib

# Class TdApi.GetMapThumbnailFile

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.File>
org.drinkless.tdlib.TdApi.GetMapThumbnailFile

Enclosing class:
  `TdApi`

public static class TdApi.GetMapThumbnailFile extends TdApi.Function<TdApi.File>
Returns information about a file with a map thumbnail in PNG format. Only map thumbnail files with size less than 1MB can be downloaded.

Returns `File`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of a chat in which the thumbnail will be shown.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `height`
  Map height in pixels before applying scale; 16-1024.
  `TdApi.Location`
  `location`
  Location of the map center.
  `int`
  `scale`
  Map scale; 1-3.
  `int`
  `width`
  Map width in pixels before applying scale; 16-1024.
  `int`
  `zoom`
  Map zoom level; 13-20.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetMapThumbnailFile()`
  Default constructor for a function, which returns information about a file with a map thumbnail in PNG format.
  `GetMapThumbnailFile(TdApi.Location location, int zoom, int width, int height, int scale, long chatId)`
  Creates a function, which returns information about a file with a map thumbnail in PNG format.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### location

    public TdApi.Location location
    Location of the map center.

  - ### zoom

    public int zoom
    Map zoom level; 13-20.

  - ### width

    public int width
    Map width in pixels before applying scale; 16-1024.

  - ### height

    public int height
    Map height in pixels before applying scale; 16-1024.

  - ### scale

    public int scale
    Map scale; 1-3.

  - ### chatId

    public long chatId
    Identifier of a chat in which the thumbnail will be shown. Use 0 if unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetMapThumbnailFile

    public GetMapThumbnailFile()
    Default constructor for a function, which returns information about a file with a map thumbnail in PNG format. Only map thumbnail files with size less than 1MB can be downloaded.

    Returns `File`

  - ### GetMapThumbnailFile

    public GetMapThumbnailFile(TdApi.Location location, int zoom, int width, int height, int scale, long chatId)
    Creates a function, which returns information about a file with a map thumbnail in PNG format. Only map thumbnail files with size less than 1MB can be downloaded.

    Returns `File`

    Parameters:
      `location` - Location of the map center.
      `zoom` - Map zoom level; 13-20.
      `width` - Map width in pixels before applying scale; 16-1024.
      `height` - Map height in pixels before applying scale; 16-1024.
      `scale` - Map scale; 1-3.
      `chatId` - Identifier of a chat in which the thumbnail will be shown. Use 0 if unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.File>`
    Returns:
      this.CONSTRUCTOR